Bug 67212 - boot failure /w aacraid_pciid option in modules.conf
boot failure /w aacraid_pciid option in modules.conf
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 22:30 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 15:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-20 22:30:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When installing Red hat v7.2 on a Dell server with AACRAID/PERC SCSI controller
using the Dell Server Assistant an aacraid_pciid option is placed in the
modules.conf.  This works fine with the default 2.4.7 kernel package installed
by the RH CDs.  If upgraded to kernel 2.4.9-31, RH v7.3 kernel 2.4.18-3 or
kernel 2.4.18-4 then the aacraid driver fails which may also effect being able
to mount the root file system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot Dell Server Assistant CD and select to install Red hat v7.2
2.Install Red hat v7.2 with the root file system on an aacraid logical drive
3.Successfully boot the 2.4.7 kernel and login
4.Run rhn_register and up2date -f kernel
5.Reboot and watch the kernel panic about there being no / to mount
6.Power off
7.Boot Red hat v7.3 install CD and upgrade (Hey!  Anaconda has new a slide show
while it installs.  So, when do I get to play Tetris like in that other
distribution?)
8.Reboot and watch the kernel panic about there being no / to mount
9.Boot Red hat v7.3 CD and do "linux rescue"
10.Run chroot /mnt/sysimage (the mounted file system that booting from the hard
disk couldn't find)
11.Run /etc/init.d/network start
12.Run up2date -f kernel
13.Run exit and exit
14.Reboot and watch the kernel panic about there being no / to mount
15.Boot Red hat v7.3 CD and do "linux rescue"
16.Run chroot /mnt/sysimage
17.Remove the aacraid_pciid from the /etc/modules.conf
18.mv /boot/initrd-2.4.18-4.img /boot/initrd-2.4.18-4.img-orig
19.mkinitrd /boot/initrd-2.4.18-4.img 2.4.18-4
20.exit and exit
21.The / is found, boot successfully!


Actual Results:  Kernel panics, hair loss and eventually a working work-around
provided by "tatooin" on the Dell Customer Forum: Software - Linux.

Expected Results:  A pre-install or post-install script from the 2.4.9 and/or
2.4.18 kernel RPM packages should have stripped aacraid_pciid from the
/etc/modules.conf allowing for a reboot without kernel and user panics.  Or if
not a kernel RPM script then at least Anaconda should have engolfed the
offending modules.conf line.

Additional info:  Tetris is fun.  Kernel panics are not.  :-)

Note You need to log in before you can comment on or make changes to this bug.